### org.jfree.layouting.input.style.parser

# Class FixNamespaceConditionFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.FixNamespaceConditionFactory`

Implemented Interfaces:
  ConditionFactory

`public class FixNamespaceConditionFactory`
`extends java.lang.Object`
`implements ConditionFactory`

Creation-Date: 23.04.2006, 15:13:10

Author:
  Thomas Morgner

  ## Constructor Summary

  `FixNamespaceConditionFactory(ConditionFactory parent)`

  ## Method Summary

  `CombinatorCondition`

  `createAndCondition(Condition first, Condition second)`

  `AttributeCondition`

  `createAttributeCondition(String localName, String namespaceURI, boolean specified, String value)`

  `AttributeCondition`

  `createBeginHyphenAttributeCondition(String localName, String namespaceURI, boolean specified, String value)`

  `AttributeCondition`

  `createClassCondition(String namespaceURI, String value)`

  `ContentCondition`

  `createContentCondition(String data)`

  `AttributeCondition`

  `createIdCondition(String value)`

  `LangCondition`

  `createLangCondition(String lang)`

  `NegativeCondition`

  `createNegativeCondition(Condition condition)`

  `AttributeCondition`

  `createOneOfAttributeCondition(String localName, String namespaceURI, boolean specified, String value)`

  `Condition`

  `createOnlyChildCondition()`

  `Condition`

  `createOnlyTypeCondition()`

  `CombinatorCondition`

  `createOrCondition(Condition first, Condition second)`

  `PositionalCondition`

  `createPositionalCondition(int position, boolean typeNode, boolean type)`

  `AttributeCondition`

  `createPseudoClassCondition(String namespaceURI, String value)`

## Constructor Details

### FixNamespaceConditionFactory

    public FixNamespaceConditionFactory(ConditionFactory parent)

## Method Details

### createAndCondition

    public CombinatorCondition createAndCondition(Condition first,
                                                  Condition second)
                throws CSSException

### createAttributeCondition

    public AttributeCondition createAttributeCondition(String localName,
                                                       String namespaceURI,
                                                       boolean specified,
                                                       String value)
                throws CSSException

### createBeginHyphenAttributeCondition

    public AttributeCondition createBeginHyphenAttributeCondition(String localName,
                                                                  String namespaceURI,
                                                                  boolean specified,
                                                                  String value)
                throws CSSException

### createClassCondition

    public AttributeCondition createClassCondition(String namespaceURI,
                                                   String value)
                throws CSSException

### createContentCondition

    public ContentCondition createContentCondition(String data)
                throws CSSException

### createIdCondition

    public AttributeCondition createIdCondition(String value)
                throws CSSException

### createLangCondition

    public LangCondition createLangCondition(String lang)
                throws CSSException

### createNegativeCondition

    public NegativeCondition createNegativeCondition(Condition condition)
                throws CSSException

### createOneOfAttributeCondition

    public AttributeCondition createOneOfAttributeCondition(String localName,
                                                            String namespaceURI,
                                                            boolean specified,
                                                            String value)
                throws CSSException

### createOnlyChildCondition

    public Condition createOnlyChildCondition()
                throws CSSException

### createOnlyTypeCondition

    public Condition createOnlyTypeCondition()
                throws CSSException

### createOrCondition

    public CombinatorCondition createOrCondition(Condition first,
                                                 Condition second)
                throws CSSException

### createPositionalCondition

    public PositionalCondition createPositionalCondition(int position,
                                                         boolean typeNode,
                                                         boolean type)
                throws CSSException

### createPseudoClassCondition

    public AttributeCondition createPseudoClassCondition(String namespaceURI,
                                                         String value)
                throws CSSException